## EggDBusSignature EggDBusSignature — Signature types |

## Synopsis

    typedef             EggDBusSignature;
    typedef             EggDBusSignatureArray;
    #define             EGG_DBUS_TYPE_SIGNATURE
    #define             EGG_DBUS_TYPE_SIGNATURE_ARRAY

## Description

Types for working with D-Bus signatures.

## Details

### EggDBusSignature

    typedef gchar* EggDBusSignature;

A C representable type for EGG_DBUS_TYPE_SIGNATURE.

### EggDBusSignatureArray

    typedef GStrv EggDBusSignatureArray;

A C representable type for EGG_DBUS_TYPE_SIGNATURE_ARRAY.

### EGG_DBUS_TYPE_SIGNATURE

    #define EGG_DBUS_TYPE_SIGNATURE                 (egg_dbus_signature_get_type())

The GType for a D-Bus signature.

### EGG_DBUS_TYPE_SIGNATURE_ARRAY

    #define EGG_DBUS_TYPE_SIGNATURE_ARRAY           (egg_dbus_signature_array_get_type())

The GType for holding a `NULL`-terminated array of D-Bus signatures.